<?xml version="1.0" encoding="utf-8"?>
<document caption="Расчет на закупку товаров, работ и услуг для государственных (муниципальных) нужд" version="1.0.12" CRC="4283581486" javascriptDocumentClassName="F02110.FDocument">
  <rules>
    <import id="JSHandlebars" sourceFile="Scripts\handlebars-v4.0.5.js" />
    <import id="JSStageSettings" sourceFile="MainLogic\ObasStageSettings.js" />
    <import id="JSTableFieldInfo" sourceFile="MainLogic\TableFieldInfo.js" />
    <import id="JSEvents" sourceFile="MainLogic\Events.js" />
    <import id="JSTableInfo" sourceFile="MainLogic\TableInfo.js" />
    <import id="JSRROTables" sourceFile="MainLogic\RROTables.js" />
    <import id="JSSprTables" sourceFile="MainLogic\SprTables.js" />
    <import id="JSObasTableCollection" sourceFile="MainLogic\ObasTableCollection.js" />
    <import id="JSHelper" sourceFile="MainLogic\ObasHelper.js" />
    <import id="JSFormatCollection" sourceFile="MainLogic\SheetFormatCollection.js" />
    <import id="JSCommon" sourceFile="MainLogic\CommonRules.js" />
    <import id="JSSettings" sourceFile="MainLogic\DocumentSettings.js" />
    <import id="JSBaseDocument" sourceFile="MainLogic\BaseDocumentObject.js" />
    <import id="JSObasTableWithKeys" sourceFile="MainLogic\ObasTableWithKeys.js" />
    <import id="JSGroupSheet" sourceFile="MainLogic\GroupSheet.js" />
    <import id="JSAnalyticsKosguInterface" sourceFile="MainLogic\FAnalyticsKosgu\FAnalyticsKosguSheet.js" />
    <import id="JSAnalyticsKosguTable" sourceFile="MainLogic\FAnalyticsKosgu\FAnalyticsKosguTable.js" />
    <import id="JSUpdate" sourceFile="Templates\Logic\Current\F02_110\F02_110_UpdateRules.js" />
    <import id="JSInterface" sourceFile="Templates\Logic\Current\F02_110\F02_110_InterfaceRules.js" />
    <import id="JSTable" sourceFile="Templates\Logic\Current\F02_110\F02_110_TableRules.js" />
    <import id="JSExport" sourceFile="Templates\Logic\Current\F02_110\F02_110_ExportRules.js" />
    <import id="JSDocument" sourceFile="Templates\Logic\Current\F02_110\F02_110_Document.js" />
  </rules>
  <tables>
    <linkedtable id="FOIV" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="FCR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="CSR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="Program" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="SubProgram" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="DirectionCost" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="VR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="MainAction" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="OBAS_SPR" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="NPAType" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="NPAStatuses" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="KOSGU" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="OKEI" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="OKPD" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="SubgroupNormativeExpenses" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="RateDollarActual" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_Recvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_SC" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_Numbers" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="SecurityTypes" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="AddAnalysisFeature" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="VR_COSGUs" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="RRO_OBAS_VERSIONS" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OBAS" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_DATA" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="ChangeType" sourceFile="MainData\Spr_Ped.xml" />
    <linkedtable id="RRO_KU_Data" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="FileType" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="BuildParams" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_Expend_Shedule" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="SELECTED_FOIV" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_OfficeChiefRecvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_FinanceChiefRecvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="RRO_ExecutorRecvisits" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="tRRO_OBAS_VERSIONS" sourceFile="MainData\RRO_STAGE1.xml" />
    <linkedtable id="tRateDollarActual" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="OKSM" sourceFile="MainData\Spr_Forms_STAGE1.xml" />
    <linkedtable id="OKV" sourceFile="MainData\Spr_Forms_STAGE1.xml"/>
    <linkedtable id="Files" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="dual" sourceFile="MainData\Spr_Main.xml" />
    <linkedtable id="Procurement_PlacementYear" sourceFile="MainData\Spr_Main.xml"/>
    <linkedtable id="RRO_ProcurementPlan" sourceFile="MainData\RRO_STAGE1.xml"/>
    <linkedtable id="RRO_Procurement" sourceFile="MainData\RRO_STAGE1.xml"/>
    <linkedtable id="RRO_ProcurementKBK" sourceFile="MainData\RRO_STAGE1.xml"/>
    <linkedtable id="RRO_ProcurementNPA" sourceFile="MainData\RRO_STAGE1.xml"/>
    <table id="MainParameters" readonly="true" caption="Основные параметры" canAdd="false" canClear="false" canDelete="false">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="FOIV_ID" table="FOIV" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="FCR_ID" table="FCR" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="VR_ID" table="VR" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="CSR_ID" table="CSR" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="MainAction_ID" table="MainAction" tableKeyField="Key" tableFields="Code;Name" />
        <lookupfield name="FCR_NAME" keys="FCR_ID" lookupTable="FCR" lookupKeys="Key" lookupFields="Name" />
        <sourcefield name="RRO_OBAS_VERSIONS_ID" table="RRO_OBAS_VERSIONS" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="FileType_ID" table="FileType" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="Program_ID" table="Program" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="SubProgram_ID" table="SubProgram" tableKeyField="Key" tableFields="Key" />
        <sourcefield name="DirectionCost_ID" table="DirectionCost" tableKeyField="Key" tableFields="Key" />
      </fields>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
        </row>
      </data>
    </table>
    <table id="FormParameters" caption="Параметры формы" readonly="true">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <field name="FormSecretType" datatype="integer" caption="Признак гостайны" />
        <field name="TableNameWithTotals" datatype="string" size="50" />
        <field name="TableWithKOSGU" datatype="string" size="50" />
        <field name="AnalyticsTable" datatype="string" size="50" />
        <field name="AnalyticsStartF" datatype="integer" caption="Начальный индекс обработки полей" />
        <field name="AnalyticsEndF" datatype="integer" caption="Конечный идекс обработки полей" />
      </fields>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[F02_100_R1_Values]]></el>
          <el><![CDATA[KOSGU_Data]]></el>
        </row>
      </data>
    </table>
    <table id="F02_100_R1_Rows" readonly="true">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <field name="StrCode" datatype="string" size="3" />
        <field name="g1a" datatype="string" size="1000" />
      </fields>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[2]]></el>
          <el><![CDATA[001]]></el>
          <el><![CDATA[Закупки:
федеральных органов исполнительной власти и иных государственных органов, а также казенных учреждений]]></el>
        </row>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[3]]></el>
          <el><![CDATA[002]]></el>
          <el><![CDATA[зарубежного аппарата федеральных органов исполнительной власти и иных государственных органов]]></el>
        </row>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[100]]></el>
          <el><![CDATA[003]]></el>
          <el><![CDATA[Корректировака в связи с округлением]]></el>
        </row>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[100]]></el>
          <el><![CDATA[Всего]]></el>
        </row>
      </data>
    </table>
    <table id="Organization" caption="Перечень учреждений">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <field name="Name" datatype="string" size="1000" caption="Наименование учреждения" isNull="false" uniqueLabel="1" syncKey="true" />
      </fields>
    </table>
    <table id="F02_110_DO" caption="Список уникальных организаций">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="Organization_ID" syncKey="true" table="Organization" tableKeyField="Key" tableFields="Key" />
        <lookupfield name="Organization_Name" keys="Organization_ID" lookupTable="Organization" lookupKeys="Key" lookupFields="Name" />
      </fields>
    </table>
    <table id="F02_100_R1_Values" canDelete="false">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <field name="IsTotal" datatype="integer" syncKey="true" />
        <field name="StrKey" datatype="integer" syncKey="true" />
        <field name="Y1" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P1TotalTable.SumChangeEventHandler" event="OnChange" />
            <rule name="ObasHelper.Get0" event="OnInit" />
          </rules>
        </field>
        <field name="Y2" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P1TotalTable.SumChangeEventHandler" event="OnChange" />
            <rule name="ObasHelper.Get0" event="OnInit" />
          </rules>
        </field>
        <field name="Y3" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P1TotalTable.SumChangeEventHandler" event="OnChange" />
            <rule name="ObasHelper.Get0" event="OnInit" />
          </rules>
        </field>
        <field name="Y4" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P1TotalTable.SumChangeEventHandler" event="OnChange" />
            <rule name="ObasHelper.Get0" event="OnInit" />
          </rules>
        </field>
        <field name="Y5" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P1TotalTable.SumChangeEventHandler" event="OnChange" />
            <rule name="ObasHelper.Get0" event="OnInit" />
          </rules>
        </field>
      </fields>
      <rules>
        <rule name="%Doc%.SaveTotalTableAndPartIndicateBudgetTables" event="OnSave" />
      </rules>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[2]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[2]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
        </row>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[3]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[3]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
        </row>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
        </row>
      </data>
    </table>
    <!--Раздел 1.1. Аналитический раздел-->
    <table id="AnalyticsData">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="KOSGU_Id" table="KOSGU" tableKeyField="Key" tableFields="Code;Name" isNull="false" syncKey="true">
          <rules>
            <rule name="%Doc%.AnalyticsDataTable.KosguChangeEventHandler" event="OnChange" />
          </rules>
        </sourcefield>
        <field name="AnalyticCode" datatype="string" size="10" />
        <field name="AnalyticName" datatype="string" size="500" />
        <field name="Y1" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y2" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y3" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y4" datatype="float" precision="2">
          <rules>
            <rule name="ObasHelper.Get0" event="OnInit"/>
            <rule name="%Doc%.AnalyticsDataTable.SumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
      </fields>
      <rules>
        <rule name="%Doc%.AnalyticsDataTable.DeleteEventHandler" event="OnDelete"/>
      </rules>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[]]></el>
          <el><![CDATA[-]]></el>
          <el><![CDATA[Расходы, всего]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
          <el><![CDATA[0]]></el>
        </row>
      </data>
    </table>
    <table id="PurchaseObjects" caption="Справочник объектов закупки">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <field name="Number" datatype="string" size="6" caption="Номер" isUnique="true" isNull="false" />
        <field name="Name" datatype="string" size="1000" caption="Наименование" isNull="false" />
        <sourcefield name="SubgroupNormativeExpenses_ID" isNull="false" caption="Подгруппа нормативных затрат" table="SubgroupNormativeExpenses" tableKeyField="Key" tableFields="Name" />
        <sourcefield name="Procurement_ID" table="RRO_Procurement" tableKeyField="Key" tableFields="Key" />
        <lookupfield name="SubgroupNormativeExpenses_Name" caption="Подгруппа нормативных затрат" keys="SubgroupNormativeExpenses_ID" lookupTable="SubgroupNormativeExpenses" lookupKeys="Key" lookupFields="Name" />
      </fields>
    </table>
    <table id="F02_110_R2_1_Ref_Object">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="PurchaseObjects_ID" uniqueLabel="1" isNull="false" syncKey="true" caption="Объект закупки" table="PurchaseObjects" tableKeyField="Key" tableFields="Number;Name">
          <rules>
            <rule name="%Doc%.P2sp1RefObjTable.ObjectChangeEventHandler" event="OnChange" />
          </rules>
        </sourcefield>
        <lookupfield name="PurchaseObjects_Num" caption="Номер объекта закупки" keys="PurchaseObjects_ID" lookupTable="PurchaseObjects" lookupKeys="Key" lookupFields="Number" />
        <lookupfield name="PurchaseObjects_Name" caption="Наименование объекта закупки" keys="PurchaseObjects_ID" lookupTable="PurchaseObjects" lookupKeys="Key" lookupFields="Name" />
        <lookupfield name="SubgroupNormativeExpenses_Name" caption="Подгруппа нормативных затрат" keys="PurchaseObjects_ID" lookupTable="PurchaseObjects" lookupKeys="Key" lookupFields="SubgroupNormativeExpenses_Name" />
      </fields>
      <rules>
        <rule name="%Doc%.P2sp1RefObjTable.DeleteEventHandler" event="OnDelete" />
        <rule name="%Doc%.P2sp1RefObjTable.AfterDeleteEventHandler" event="OnAfterDelete" />
      </rules>
    </table>
    <table id="F02_110_R2_1_Ref_Okpd">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="OwnerKey" table="F02_110_R2_1_Ref_Object" tableKeyField="Key" tableFields="Key" syncKey="true" uniqueLabel="1">
          <rules>
            <rule name="%Doc%.P2sp1RefOkpdTable.OwnerKey.InitEventHandler" event="OnInit" />
          </rules>
        </sourcefield>
        <sourcefield name="OKPD_ID" uniqueLabel="1" isNull="false" syncKey="true" caption="Наименование ОКПД" table="OKPD" tableKeyField="Key" tableFields="Name" />
        <lookupfield name="OKPD_Code" keys="OKPD_ID" caption="Код ОКПД" lookupTable="OKPD" lookupKeys="Key" lookupFields="Code" />
      </fields>
    </table>
    <table id="F02_110_R2_1_Ref_Kosgu">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="OwnerKey" table="F02_110_R2_1_Ref_Okpd" tableKeyField="Key" tableFields="Key" uniqueLabel="1" syncKey="true" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.OwnerKey.InitEventHandler" event="OnInit" />
          </rules>
        </sourcefield>
        <sourcefield name="AddAnalysisFeature_ID" caption="Дополнительный аналитический признак" isNull="false" uniqueLabel="1" table="AddAnalysisFeature" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="KOSGU_ID" caption="КОСГУ" isNull="false" uniqueLabel="1" table="KOSGU" tableKeyField="Key" tableFields="Code;Name" />
        <lookupfield name="AddAnalysisFeature_Code" keys="AddAnalysisFeature_ID" lookupTable="AddAnalysisFeature" lookupKeys="Key" lookupFields="Code" />
        <lookupfield name="KOSGU_Code" caption="Код по КОСГУ" keys="KOSGU_ID" lookupTable="KOSGU" lookupKeys="Key" lookupFields="Code" />
        <field name="StrCode" datatype="string" size="6" />
        <field name="Y1" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.TotalSumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y2" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.TotalSumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y3" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.TotalSumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y4" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.TotalSumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Y1" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.SumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Y2" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.SumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Y3" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.SumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Y4" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.SumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Y1" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.SumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Y2" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.SumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Y3" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.SumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Y4" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp1RefKosguTable.SumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Year" datatype="integer"/>
      </fields>
      <rules>
        <rule name="%Doc%.P2sp1RefKosguTable.DeleteEventHandler" event="OnDelete"/>
      </rules>
    </table>
    <table id="F02_110_R2_2_Org">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="OKSM_ID" syncKey="true" isNull="false" caption="Страна" table="OKSM" tableKeyField="Key" tableFields="Name" />
        <sourcefield name="Organization_ID" uniqueLabel="1" isNull="false" caption="Учреждение" table="Organization" tableKeyField="Key" tableFields="Name">
          <rules>
            <rule name="%Doc%.P2UniqueOrgs.UniqKeyChangeEventHandler" event="OnChange" />
          </rules>
        </sourcefield>
        <sourcefield name="Procurement_ID" table="RRO_Procurement" tableKeyField="Key" tableFields="Key" />
      </fields>
      <rules>
        <rule name="%Doc%.P2UniqueOrgs.DeleteEventHandler" event="OnDelete" />
        <rule name="%Doc%.P2UniqueOrgs.AfterDeleteEventHandler" event="OnAfterDelete" />
      </rules>
    </table>
    <table id="F02_110_R2_2_Ref_Object">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="OwnerKey" table="F02_110_R2_2_Org" tableKeyField="Key" tableFields="Key" uniqueLabel="1" syncKey="true">
          <rules>
            <rule name="%Doc%.P2sp2RefObjTable.OwnerKey.InitEventHandler" event="OnInit" />
          </rules>
        </sourcefield>
        <sourcefield name="PurchaseObjects_ID" uniqueLabel="1" isNull="false" syncKey="true" caption="Наименование объекта закупки" table="PurchaseObjects" tableKeyField="Key" tableFields="Name">
          <rules>
            <rule name="%Doc%.P2sp2RefObjTable.ObjectChangeEventHandler" event="OnChange" />
          </rules>
        </sourcefield>
        <lookupfield name="PurchaseObjects_Num" caption="Номер объекта закупки" keys="PurchaseObjects_ID" lookupTable="PurchaseObjects" lookupKeys="Key" lookupFields="Number" />
        <lookupfield name="SubgroupNormativeExpenses_Name" caption="Подгруппа нормативных затрат" keys="PurchaseObjects_ID" lookupTable="PurchaseObjects" lookupKeys="Key" lookupFields="SubgroupNormativeExpenses_Name" />
      </fields>
      <rules>
        <rule name="%Doc%.P2sp2RefObjTable.DeleteEventHandler" event="OnDelete" />
        <rule name="%Doc%.P2sp2RefObjTable.AfterDeleteEventHandler" event="OnAfterDelete" />
      </rules>
    </table>
    <table id="F02_110_R2_2_Ref_Okpd">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="OwnerKey" table="F02_110_R2_2_Ref_Object" tableKeyField="Key" tableFields="Key" syncKey="true" uniqueLabel="1">
          <rules>
            <rule name="%Doc%.P2sp2RefOkpdTable.OwnerKey.InitEventHandler" event="OnInit" />
          </rules>
        </sourcefield>
        <sourcefield name="OKPD_ID" uniqueLabel="1" isNull="false" syncKey="true" caption="Наименование ОКПД" table="OKPD" tableKeyField="Key" tableFields="Name" />
        <lookupfield name="OKPD_Code" keys="OKPD_ID" caption="Код ОКПД" lookupTable="OKPD" lookupKeys="Key" lookupFields="Code" />
      </fields>
    </table>
    <table id="F02_110_R2_2_Ref_Kosgu">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="OwnerKey" table="F02_110_R2_2_Ref_Okpd" tableKeyField="Key" tableFields="Key" uniqueLabel="1" syncKey="true" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.OwnerKey.InitEventHandler" event="OnInit" />
          </rules>
        </sourcefield>
        <sourcefield name="AddAnalysisFeature_ID" caption="Дополнительный аналитический признак" isNull="false" uniqueLabel="1" table="AddAnalysisFeature" tableKeyField="Key" tableFields="Code;Name" />
        <sourcefield name="KOSGU_ID" caption="КОСГУ" isNull="false" uniqueLabel="1" table="KOSGU" tableKeyField="Key" tableFields="Code;Name" />
        <lookupfield name="AddAnalysisFeature_Code" keys="AddAnalysisFeature_ID" lookupTable="AddAnalysisFeature" lookupKeys="Key" lookupFields="Code" />
        <lookupfield name="KOSGU_Code" caption="Код по КОСГУ" keys="KOSGU_ID" lookupTable="KOSGU" lookupKeys="Key" lookupFields="Code" />
        <field name="StrCode" datatype="string" size="6" />
        <field name="Usd_Y1" datatype="float" precision="5" />
        <field name="Usd_Y2" datatype="float" precision="5" />
        <field name="Usd_Y3" datatype="float" precision="5" />
        <field name="Usd_Y4" datatype="float" precision="5" />
        <field name="Fn_Usd_Y1" datatype="float" precision="5" isDeltaValue="true">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsUsdChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Usd_Y2" datatype="float" precision="5" isDeltaValue="true">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsUsdChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Usd_Y3" datatype="float" precision="5" isDeltaValue="true">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsUsdChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Usd_Y4" datatype="float" precision="5" isDeltaValue="true">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsUsdChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Usd_Y1" datatype="float" precision="5" isDeltaValue="true">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsUsdChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Usd_Y2" datatype="float" precision="5" isDeltaValue="true">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsUsdChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Usd_Y3" datatype="float" precision="5" isDeltaValue="true">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsUsdChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Usd_Y4" datatype="float" precision="5" isDeltaValue="true">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsUsdChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Rub_Y1" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Rub_Y2" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Rub_Y3" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Rub_Y4" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Rub_Y1" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Rub_Y2" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Rub_Y3" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Rub_Y4" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Rub_Y1" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Rub_Y2" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Rub_Y3" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Rub_Y4" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Other_Rub_Y1" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Other_Rub_Y2" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Other_Rub_Y3" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Other_Rub_Y4" datatype="float" precision="2">
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumPartsChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Other_Rub_Y1" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsOtherRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Other_Rub_Y2" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsOtherRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Other_Rub_Y3" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsOtherRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Other_Rub_Y4" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsOtherRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Other_Rub_Y1" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsOtherRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Other_Rub_Y2" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsOtherRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Other_Rub_Y3" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsOtherRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="R4_Other_Rub_Y4" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.SumPartsOtherRubChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y1" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y2" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y3" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Y4" datatype="float" precision="2" >
          <rules>
            <rule name="%Doc%.P2sp2RefKosguTable.TotalSumChangeEventHandler" event="OnChange" />
          </rules>
        </field>
        <field name="Fn_Y1" datatype="float" precision="2" />
        <field name="Fn_Y2" datatype="float" precision="2" />
        <field name="Fn_Y3" datatype="float" precision="2" />
        <field name="Fn_Y4" datatype="float" precision="2" />
        <field name="R4_Y1" datatype="float" precision="2" />
        <field name="R4_Y2" datatype="float" precision="2" />
        <field name="R4_Y3" datatype="float" precision="2" />
        <field name="R4_Y4" datatype="float" precision="2" />
        <field name="Year" datatype="integer"/>
      </fields>
      <rules>
        <rule name="%Doc%.P2sp2RefKosguTable.DeleteEventHandler" event="OnDelete"/>
      </rules>
    </table>
    <table id="F02_110_R3_Ref_ObjectDesc">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="PurchaseObjects_ID" uniqueLabel="1" isNull="false" caption="Наименование ОЗ" table="PurchaseObjects" tableKeyField="Key" tableFields="Name" />
        <lookupfield name="PurchaseObjects_Num" caption="Наименование ОЗ" keys="PurchaseObjects_ID" lookupTable="PurchaseObjects" lookupKeys="Key" lookupFields="Number" />
        <lookupfield name="SubgroupNormativeExpenses_Name" caption="Подгруппа нормативных затрат" keys="PurchaseObjects_ID" lookupTable="PurchaseObjects" lookupKeys="Key" lookupFields="SubgroupNormativeExpenses_Name" />
        <field name="ProgName" datatype="string" size="1000" isNull="false" caption="Наименование государственной программы" />
        <field name="ActionName" datatype="string" size="1000" isNull="false" caption="Наименование мероприятия" />
        <field name="Result" datatype="string" size="1000" isNull="false" caption="Ожидаемый результат" />
        <field name="Rationale" datatype="string" size="1000" isNull="false" caption="Обоснование" />
        <field name="Info" datatype="string" size="1000" isNull="false" caption="Сведения о технической сложности" />
      </fields>
    </table>
    <table id="F02_110_R3_Ref_Npa">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="OwnerKey" caption="Наименование ОЗ" table="F02_110_R3_Ref_ObjectDesc" tableKeyField="Key" tableFields="Name">
          <rules>
            <rule name="%Doc%.P3RefObjDescNpaTable.OwnerKey.InitEventHandler" event="OnInit" />
          </rules>
        </sourcefield>
        <sourcefield name="NPAType_ID" caption="Вид НПА" isNull="false" table="NPAType" tableKeyField="Key" tableFields="Name" />
        <field name="NpaDate" datatype="datetime" isNull="false" caption="Дата" />
        <field name="NpaNumber" datatype="string" size="50" isNull="false" caption="Номер" />
        <field name="NpaName" datatype="string" size="1000" isNull="false" caption="Наименование НПА" />
        <field name="StrCode" datatype="string" size="6" />
        <sourcefield name="NPAStatuses_ID" isNull="false" caption="статус" table="NPAStatuses" tableKeyField="Key" tableFields="Name" />
        <field name="NpaChangeDate" datatype="datetime" caption="предполагаемая дата изменения статуса" isNull="false" />
      </fields>
    </table>
    <table id="KOSGU_Data">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <sourcefield name="KOSGU_Id" table="KOSGU" tableKeyField="Key" tableFields="Key" syncKey="true" />
        <field name="SrcKey" datatype="integer" isDeltaValue="false" />
        <field name="Y1" datatype="float" precision="2" />
        <field name="Y2" datatype="float" precision="2" />
        <field name="Y3" datatype="float" precision="2" />
        <field name="Y4" datatype="float" precision="2" />
      </fields>
      <rules>
        <rule name="%Doc%.CommonRules.SaveKosguTable" event="OnSave" />
      </rules>
      <data>
        <row>
          <el><![CDATA[]]></el>
          <el><![CDATA[1]]></el>
          <el><![CDATA[27561076]]></el>
          <el><![CDATA[1]]></el>
        </row>
      </data>
    </table>
    <table id="ImportedProcurement" filterKind="mainAndSpec" filterModel="commonDataset">
      <fields>
        <field name="Id" datatype="guid" />
        <field name="Key" datatype="integer" />
        <field name="IsMarked" caption="Запись помечена" datatype="boolean" />
        <sourcefield name="RRO_ProcurementKBK_ID" table="RRO_ProcurementKBK" tableKeyField="Key" tableFields="Key" />
        <field name="FullKBKCode" caption="Код по бюджетной классификации" datatype="string" size="50" />
        <lookupfield name="IKZ" caption="Идентификационный код закупки" keys="RRO_ProcurementKBK_ID" lookupTable="RRO_ProcurementKBK" lookupKeys="Key" lookupFields="IKZ_Name" />
        <lookupfield name="ObjectName" caption="Наименование объекта закупки" keys="RRO_ProcurementKBK_ID" lookupTable="RRO_ProcurementKBK" lookupKeys="Key" lookupFields="ObjectName" />
        <lookupfield name="OKPDCode" caption="Код по ОКПД" keys="RRO_ProcurementKBK_ID" lookupTable="RRO_ProcurementKBK" lookupKeys="Key" lookupFields="OKPD_Code" />
        <lookupfield name="PlacementYear" caption="Год размещения извещения" keys="RRO_ProcurementKBK_ID" lookupTable="RRO_ProcurementKBK" lookupKeys="Key" lookupFields="Procurement_PlacementYear_Name" />
        <lookupfield name="Y1" keys="RRO_ProcurementKBK_ID" lookupTable="RRO_ProcurementKBK" lookupKeys="Key" lookupFields="Y1" />
        <lookupfield name="Y2" keys="RRO_ProcurementKBK_ID" lookupTable="RRO_ProcurementKBK" lookupKeys="Key" lookupFields="Y2" />
        <lookupfield name="Y3" keys="RRO_ProcurementKBK_ID" lookupTable="RRO_ProcurementKBK" lookupKeys="Key" lookupFields="Y3" />
        <lookupfield name="Y4" keys="RRO_ProcurementKBK_ID" lookupTable="RRO_ProcurementKBK" lookupKeys="Key" lookupFields="Y4" />
      </fields>
    </table>
  </tables>
  <sheets>
    <gridsheet name="R1" title="Раздел 1" exportable="false" caption="1. Расходы на закупку товаров, работ и услуг для обеспечения федеральных нужд" isShowColumnNumbers="true">
      <view table="F02_100_R1_Rows" readonly="false">
        <col width="350" name="g1a" caption="Наименование показателя" />
        <col width="60" name="StrCode" caption="Код строки" align="center" />
        <view table="F02_100_R1_Values" masterKeys="StrKey" detailKeys="Key">
          <view caption="Сумма">
            <template>
              <col width="150" name="Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" />
              <rules>
                <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange" />
                <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption" />
              </rules>
            </template>
          </view>
          <col width="160" name="Y4" caption="Объем принятых бюджетных обязательств, подлежащих исполнению за пределами планового периода" valign="center" align="right" displayFormat=",0.00" />
        </view>
      </view>
      <rules>
        <rule name="%Doc%.P1Sheet.FormatEventHandler" event="OnGetFormat" />
        <rule name="%Doc%.P1Sheet.EditingCellEventHandler" event="OnEditingCell" />
      </rules>
      <menuitems>
        <menu caption="Заполнить из закупок">
          <rules>
            <rule name="%Doc%.InterfaceRules.LoadDataFromProcurementMenuItemClickEventHandler" event="OnClick"/>
          </rules>
        </menu>
      </menuitems>
    </gridsheet>
    <gridsheet name="SHT_RA" isShowColumnNumbers="true" title="Раздел 1.1" caption="1.1. Аналитическое распределение по КОСГУ">
      <view table="AnalyticsData">
        <col name="AnalyticName" width="400" readonly="true" caption="Наименование показателя" />
        <col name="AnalyticCode" width="100" readonly="true" caption="Код по КОСГУ" align="center" />
        <view caption="Сумма, руб">
          <template>
            <col width="150" name="Y{fieldName}" caption="на {caption} год" displayFormat=",0.00" align="right" />
            <rules>
              <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
              <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
            </rules>
          </template>
        </view>
        <editors>
          <editor id="AnalyticDataEditor" canAdd="true" />
        </editors>
      </view>
      <rules>
        <rule name="%Doc%.AnalyticSheet.FormatEventHandler" event="OnGetFormat" />
        <rule name="%Doc%.AnalyticSheet.CanEditCellEventHandler" event="OnEditingCell" />
        <rule name="%Doc%.AnalyticSheet.CantEditEventHandler" event="OnCanDelete" />
        <rule name="%Doc%.AnalyticSheet.CantEditEventHandler" event="OnCanEdit" />
      </rules>
    </gridsheet>
    <groupsheet name="R2_Group" caption="Раздел 2" />
    <gridsheet name="SHT_F02_110_R2_1" title="Раздел 2.1" groupSheet="R2_Group" caption="2. Расчет расходов на закупку товаров, работ и услуг для обеспечения федеральных нужд&#xA;2.1. Объем затрат на закупку товаров, работ и услуг для обеспечения федеральных нужд по закупкам федеральных органов исполнительной власти и иных государственных органов, а также подведомственных казенных учреждений" isShowColumnNumbers="true">
      <view table="F02_110_R2_1_Ref_Object" readonly="false">
        <col width="80" caption="Номер объекта закупки" name="PurchaseObjects_Num" readonly="true" align="center" isMergeCells="true" />
        <col width="300" caption="Наименование объекта закупки" name="PurchaseObjects_Name" readonly="true" isMergeCells="true" />
        <col width="200" caption="Подгруппа нормативных затрат" name="SubgroupNormativeExpenses_Name" readonly="true" isMergeCells="true" />
        <view table="F02_110_R2_1_Ref_Okpd" readonly="false">
          <view width="400" caption="Товары, работы и услуги по ОКПД">
            <col width="90" caption="код&#xA;(класс, подкласс, группа)" name="OKPD_Code" readonly="true" isMergeCells="true" align="center" />
            <col width="310" caption="наименование" name="OKPD_ID" readonly="true" isMergeCells="true" />
          </view>
          <view table="F02_110_R2_1_Ref_Kosgu" readonly="false">
            <col width="80" caption="Код по КОСГУ" name="KOSGU_Code" isMergeCells="true" readonly="true" align="center" />
            <col width="150" caption="Дополнительный аналитический признак" name="AddAnalysisFeature_Code" isMergeCells="true" align="center" />
            <col width="250" name="Year" align="right" caption="Год (планируемый год) размещения извещения об осуществлении закупки, направления приглашения принять участие в определении поставщика (подрядчика, исполнителя), заключения контракта с единственным поставщиком (подрядчиком, исполнителем)" readonly="true" isMergeCells="true"/>
            <col width="60" caption="Код строки" align="center" name="StrCode" />
            <view caption="Всего" readonly="true">
              <template>
                <col width="120" name="Y{fieldName}" caption="{caption}" align="right" displayFormat=",0.00" />
                <rules>
                  <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                  <rule name="%Doc%.P2Sp1Sheet.GetYearsSumCaptionEventHandler" event="OnGetCaption"/>
                </rules>
              </template>
            </view>
            <view caption="в том числе:">
              <view caption="на закупки товаров, работ, услуг федерального казенного учреждения">
                <template>
                  <col width="120" name="Fn_Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" />
                  <rules>
                    <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                    <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
                  </rules>
                </template>
              </view>
              <view caption="на закупки товаров, работ, услуг, осуществляемые в пользу третьих лиц">
                <template>
                  <col width="120" name="R4_Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" />
                  <rules>
                    <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                    <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
                  </rules>
                </template>
              </view>
            </view>
            <col width="160" name="Y4" caption="Объем принятых бюджетных обязательств, подлежащих исполнению за пределами планового периода, руб" valign="center" align="right" displayFormat=",0.00" />
            <editors>
              <editor id="F02_110_R2_1_Ref_Kosgu_Editor" />
            </editors>
          </view>
          <editors>
            <editor id="F02_110_R2_1_Ref_OKPD_Editor" />
          </editors>
        </view>
        <view table="dual" readonly="true" />
        <editors>
          <editor id="F02_110_R2_1_Ref_Object_Editor" />
        </editors>
      </view>
      <view table="dual" readonly="true" >
        <editors>
          <editor id="F02_110_R2_1_Ref_Object_Editor" canAdd="true" />
        </editors>
      </view>
      <rules>
        <rule name="%Doc%.P2Sp1Sheet.CalcEventHandler" event="OnCalc" />
        <rule name="%Doc%.P2Sp1Sheet.FormatEventHandler" event="OnGetFormat" />
      </rules>
    </gridsheet>
    <gridsheet name="SHT_F02_110_R2_2" title="Раздел 2.2" groupSheet="R2_Group" caption="2. Расчет расходов на закупку товаров, работ и услуг для обеспечения федеральных нужд&#xA;2.2. Объем затрат на закупку товаров, работ и услуг организаций, выполняющих функции агентов Правительства Российской Федерации, международных рейтинговых агенств, а также для обеспечения федеральных нужд по закупкам зарубежного аппарата федеральных органов исполнительной власти и иных государственных органов" isShowColumnNumbers="true">
      <view table="F02_110_R2_2_Org" readonly="false">
        <col width="200" name="OKSM_ID" caption="Наименование страны" isMergeCells="true" readonly="true" />
        <col width="200" name="Organization_ID" caption="Наименование учреждения" isMergeCells="true" readonly="true" />
        <view table="F02_110_R2_2_Ref_Object" readonly="false">
          <col width="80" caption="Номер объекта закупки" name="PurchaseObjects_Num" readonly="true" align="center" isMergeCells="true" />
          <col width="300" caption="Наименование объекта закупки" name="PurchaseObjects_ID" readonly="true" isMergeCells="true" />
          <col width="200" caption="Подгруппа нормативных затрат" name="SubgroupNormativeExpenses_Name" readonly="true" isMergeCells="true" />
          <view table="F02_110_R2_2_Ref_Okpd" readonly="false">
            <view width="400" caption="Товары, работы и услуги по ОКПД">
              <col width="90" caption="код&#xA;(класс, подкласс, группа)" name="OKPD_Code" readonly="true" isMergeCells="true" align="center" />
              <col width="310" caption="наименование" name="OKPD_ID" readonly="true" isMergeCells="true" />
            </view>
            <view table="F02_110_R2_2_Ref_Kosgu" readonly="false">
              <col width="80" caption="Код по КОСГУ" name="KOSGU_Code" isMergeCells="true" readonly="true" align="center" />
              <col width="150" caption="Дополнительный аналитический признак" name="AddAnalysisFeature_Code" isMergeCells="true" align="center" />
              <col width="250" name="Year" align="right" caption="Год (планируемый год) размещения извещения об осуществлении закупки, направления приглашения принять участие в определении поставщика (подрядчика, исполнителя), заключения контракта с единственным поставщиком (подрядчиком, исполнителем)" readonly="true" isMergeCells="true"/>
              <col width="60" caption="Код строки" align="center" name="StrCode" />
              <view caption="Сумма">
                <view caption="в иностранной валюте,&#xA; долл США">
                  <template>
                    <col width="120" name="Usd_Y{fieldName}" caption="{caption}" align="right" displayFormat=",0.00000" />
                    <rules>
                      <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                      <rule name="%Doc%.P2Sp2Sheet.GetYearsSumUsdCaptionEventHandler" event="OnGetCaption"/>
                    </rules>
                  </template>
                </view>
                <view caption="в том числе:">
                  <view caption="на закупки товаров, работ, услуг федерального казенного учреждения">
                    <template>
                      <col width="120" name="Fn_Usd_Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00000" />
                      <rules>
                        <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                        <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
                      </rules>
                    </template>
                  </view>
                  <view caption="на закупки товаров, работ, услуг, осуществляемые в пользу третьих лиц">
                    <template>
                      <col width="120" name="R4_Usd_Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00000" />
                      <rules>
                        <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                        <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
                      </rules>
                    </template>
                  </view>
                </view>
                <view caption="в рублевом эквиваленте иностранной валюты&#xA;по курсу долл США">
                  <template>
                    <col width="120" name="Rub_Y{fieldName}" caption="{caption}" align="right" displayFormat=",0.00" readonly="true"/>
                    <rules>
                      <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                      <rule name="%Doc%.P2Sp2Sheet.GetYearsSumRubCaptionEventHandler" event="OnGetCaption"/>
                    </rules>
                  </template>
                </view>
                <view caption="в том числе:">
                  <view caption="на закупки товаров, работ, услуг федерального казенного учреждения">
                    <template>
                      <col width="120" name="Fn_Rub_Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" readonly="true" />
                      <rules>
                        <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                        <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
                      </rules>
                    </template>
                  </view>
                  <view caption="на закупки товаров, работ, услуг, осуществляемые в пользу третьих лиц">
                    <template>
                      <col width="120" name="R4_Rub_Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" readonly="true" />
                      <rules>
                        <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                        <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
                      </rules>
                    </template>
                  </view>
                </view>
                <view caption="в валюте Российской Федерации">
                  <template>
                    <col width="100" name="Other_Rub_Y{fieldName}" caption="{caption}" align="right" displayFormat=",0.00" readonly="true" />
                    <rules>
                      <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                      <rule name="%Doc%.P2Sp2Sheet.GetYearsSumOtherRubCaptionEventHandler" event="OnGetCaption"/>
                    </rules>
                  </template>
                </view>
                <view caption="в том числе:">
                  <view caption="на закупки товаров, работ, услуг федерального казенного учреждения">
                    <template>
                      <col width="120" name="Fn_Other_Rub_Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" />
                      <rules>
                        <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                        <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
                      </rules>
                    </template>
                  </view>
                  <view caption="на закупки товаров, работ, услуг, осуществляемые в пользу третьих лиц">
                    <template>
                      <col width="120" name="R4_Other_Rub_Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" />
                      <rules>
                        <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                        <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
                      </rules>
                    </template>
                  </view>
                </view>
                <view caption="всего объем затрат">
                  <template>
                    <col width="120" name="Y{fieldName}" caption="{caption}" align="right" displayFormat=",0.00" readonly="true"/>
                    <rules>
                      <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                      <rule name="%Doc%.P2Sp2Sheet.GetYearsTotalSumUsdCaptionEventHandler" event="OnGetCaption"/>
                    </rules>
                  </template>
                </view>
                <view caption="в том числе:">
                  <view caption="на закупки товаров, работ, услуг федерального казенного учреждения">
                    <template>
                      <col width="120" name="Fn_Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" readonly="true" />
                      <rules>
                        <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                        <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
                      </rules>
                    </template>
                  </view>
                  <view caption="на закупки товаров, работ, услуг, осуществляемые в пользу третьих лиц">
                    <template>
                      <col width="120" name="R4_Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" readonly="true" />
                      <rules>
                        <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
                        <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption"/>
                      </rules>
                    </template>
                  </view>
                </view>
              </view>
              <view caption="Объем затрат, подлежащих исполнению за пределами планового периода">
                <col width="120" caption="в иностранной валюте,&#xA; долл США" name="Usd_Y4" displayFormat=",0.00000" align="right" />
                <col width="120" caption="рублевый эквивалент иностранной&#xA;валюты по курсу долл США" name="Rub_Y4" displayFormat=",0.00" readonly="true" align="right" />
                <col width="120" caption="в валюте&#xA;Российской Федерации" name="Other_Rub_Y4" displayFormat=",0.00" align="right" />
                <col width="120" caption="всего объем затрат&#xA;(гр. 49 + гр. 50)" name="Y4" displayFormat=",0.00" readonly="true" align="right" />
              </view>
              <editors>
                <editor id="F02_110_R2_2_Ref_Kosgu_Editor" />
              </editors>
            </view>
            <editors>
              <editor id="F02_110_R2_2_Ref_OKPD_Editor" />
            </editors>
          </view>
          <view table="dual" readonly="true" />
          <editors>
            <editor id="F02_110_R2_2_Ref_Object_Editor" />
          </editors>
        </view>
        <view table="dual" readonly="true" >
          <editors>
            <editor id="F02_110_R2_2_Ref_Object_Editor" canAdd="true" />
          </editors>
        </view>
        <editors>
          <editor id="F02_110_R2_2_Ref_Org_Editor" />
        </editors>
      </view>
      <view table="dual" readonly="true">
        <editors>
          <editor id="F02_110_R2_2_Ref_Org_Editor" canAdd="true" />
        </editors>
      </view>
      <rules>
        <rule name="%Doc%.P2Sp2Sheet.CalcEventHandler" event="OnCalc" />
        <rule name="%Doc%.P2Sp2Sheet.FormatEventHandler" event="OnGetFormat" />
      </rules>
    </gridsheet>
    <gridsheet name="SHT_F02_110_R3" title="Раздел 3" caption="3. Описание и обоснование объектов закупок товаров, работ и услуг для обеспечения федеральных нужд" isShowColumnNumbers="true">
      <view table="F02_110_R3_Ref_ObjectDesc">
        <col width="80" name="PurchaseObjects_Num" readonly="true" align="center" isMergeCells="true" caption="Номер объекта закупки" />
        <col width="250" name="PurchaseObjects_ID" readonly="true" isMergeCells="true" caption="Наименование объекта закупки" />
        <col width="200" caption="Подгруппа нормативных затрат" name="SubgroupNormativeExpenses_Name" readonly="true" isMergeCells="true" />
        <view caption="Цель осуществления закупки">
          <col width="350" name="ProgName" readonly="true" isMergeCells="true" caption="Наименование государственной программы, ведомственной целевой программы, федеральной целевой программы, иного документа стратегического и программного планирования" />
          <col width="350" name="ActionName" readonly="true" isMergeCells="true" caption="Наименование мероприятия государственной программы Российской Федерации либо непрограммного направления деятельности (функции, полномочия), наименование международного договора Российской Федерации" />
          <col width="250" name="Result" readonly="true" isMergeCells="true" caption="Ожидаемый результат реализации мероприятия государственной программы Российской Федерации" />
          <col width="350" name="Rationale" readonly="true" isMergeCells="true" caption="Обоснование соответствия объекта закупки мероприятию государственной программы Российской Федерации, функциям, полномочиям и (или) международному договору Российской Федерации" />
        </view>
        <col width="250" name="Info" readonly="true" isMergeCells="true" caption="Сведения о технической сложности, инновационности и специальном характере закупки" />
        <view table="F02_110_R3_Ref_Npa">
          <col width="60" caption="Код строки" align="center" name="StrCode" />
          <view caption="Нормативный правовой (правовой) акт" readonly="true">
            <col width="200" name="NPAType_ID" caption="вид" align="left" readonly="true" />
            <col width="200" name="NpaDate" caption="дата" align="center" valign="center" readonly="true" />
            <col width="200" name="NpaNumber" caption="номер" align="center" valign="center" readonly="true" />
            <col width="300" name="NpaName" caption="наименование" align="left" readonly="true" />
            <col width="200" caption="статус" name="NPAStatuses_ID" align="left" readonly="true" />
            <col width="100" caption="предполагаемая дата изменения статуса" name="NpaChangeDate" align="center" readonly="true" />
          </view>
          <editors>
            <editor id="F02_110_R3_Ref_Npa_Editor" />
          </editors>
        </view>
        <editors>
          <editor id="F02_110_R3_Ref_ObjectDesc_Editor" />
        </editors>
      </view>
      <rules>
        <rule name="%Doc%.InterfaceRules.ObjectDescSheetCalcEventHandler" event="OnCalc" />
        <rule name="%Doc%.InterfaceRules.ObjectDescSheetFormatEventHandler" event="OnGetFormat" />
        <rule name="%Doc%.InterfaceRules.ObjectDescSheetCanAddEventHandler" event="OnCanAdd" />
        <rule name="%Doc%.InterfaceRules.ObjectDescSheetCanDeleteEventHandler" event="OnCanDelete" />
        <rule name="%Doc%.InterfaceRules.ObjectDescSheetCanEditEventHandler" event="OnCanEdit" />
      </rules>
    </gridsheet>
    <gridsheet name="Info" exportable="false" title="Раздел 4" caption="4. СПРАВОЧНО: Курс доллара США к рублю Российской Федерации, учтенный при расчете объема затрат" isShowColumnNumbers="true">
      <view table="tRateDollarActual" readonly="true">
        <template>
          <col width="150" name="Val{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" />
          <rules>
            <rule name="%Doc%.AddYearsHelper.GetDollarRateYearsFieldRangeEventHandler" event="OnGetFieldsRange" />
            <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption" />
          </rules>
        </template>
        <template>
          <col width="150" name="Val{fieldName}" caption="за пределами планового периода" align="right" displayFormat=",0.00" />
          <rules>
            <rule name="%Doc%.AddYearsHelper.GetAddDollarRateYearsFieldRangeEventHandler" event="OnGetFieldsRange" />
          </rules>
        </template>
      </view>
      <rules>
        <rule name="%Doc%.CommonRules.GetDollarRateFormat" event="OnGetFormat" />
      </rules>
    </gridsheet>
    <rules>
      <rule name="%Doc%.CommonRules.GetExcelFileName" event="OnGetExportFileName" />
      <rule name="%Doc%.CommonRules.GetExcelTemplateFileName" event="OnGetTemplateFileName" />
      <rule name="%Doc%.UpdateRules.UpdateTemplate" event="OnUpdateTemplate" />
      <rule name="%Doc%.CommonRules.CheckChangeType" event="OnBeforeDocumentSave" />
      <rule name="%Doc%.CommonRules.KosguDocumentSaveEventHandler" event="OnDocumentSave" />
      <rule name="%Doc%.CommonRules.GetExportDirectory" event="OnGetDefaultExportDirectory" />
    </rules>
  </sheets>
  <editors>
    <editor id="AnalyticDataEditor" caption="КОСГУ">
      <fieldssheet name="AnalyticDataEditor_1" table="AnalyticsData">
        <field name="KOSGU_ID" caption="Код по КОСГУ:" filterRule="%Doc%.CommonRules.FilterKosgu" />
      </fieldssheet>
      <rules>
        <rule name="%Doc%.AnalyticSheet.AnalyticsDataCanCloseEventHandler" event="OnCanClose"/>
      </rules>
    </editor>
    <editor id="PurchaseObjects" caption="Объект закупки" height="240">
      <fieldssheet name="PurchaseObjects_Editor_1" table="PurchaseObjects">
        <field name="Number" caption="Номер" />
        <field name="Name" caption="Наименование" />
        <field name="SubgroupNormativeExpenses_ID" caption="Подгруппа нормативных затрат" />
      </fieldssheet>
    </editor>
    <editor id="F02_110_R2_1_Ref_Object_Editor" caption="Объект закупки">
      <fieldssheet name="F02_110_R2_1_Ref_Object_Editor_1" table="F02_110_R2_1_Ref_Object">
        <field name="PurchaseObjects_ID" caption="Наименование объекта закупки" isShowAddEditButton="true" />
      </fieldssheet>
    </editor>
    <editor id="F02_110_R2_1_Ref_OKPD_Editor" caption="Добавление элемента ОКПД" height="160">
      <fieldssheet name="F02_110_R2_1_Ref_OKPD_Editor_1" table="F02_110_R2_1_Ref_Okpd">
        <group caption=" Товары, работы и услуги по ОКПД ">
          <field name="OKPD_Code" width="90" caption="Код">
            <buttons/>
          </field>
          <field name="OKPD_ID" caption="Наименование" filterRule="%Doc%.InterfaceRules.FilterOKPD">
            <buttons/>
          </field>
        </group>
      </fieldssheet>
    </editor>
    <editor id="F02_110_R2_1_Ref_Kosgu_Editor" caption="КОСГУ" height="230">
      <fieldssheet name="F02_110_R2_1_Ref_Kosgu_Editor_1" table="F02_110_R2_1_Ref_Kosgu">
        <field name="KOSGU_ID" caption="Код по КОСГУ:" />
        <field name="AddAnalysisFeature_ID" caption="Дополнительный аналитический признак:" />
        <field name="Year" caption="Год (планируемый год) осуществления закупки" editMask="\d{4}" errorMessage="Год должен составлять 4 знака"/>
      </fieldssheet>
    </editor>
    <editor id="F02_110_R3_Ref_ObjectDesc_Editor" caption="Цель осуществления закупки" height="500">
      <fieldssheet title="Цель осуществления закупки" id="F02_110_R3_Ref_ObjectDesc_Editor_1" table="F02_110_R3_Ref_ObjectDesc">
        <field name="ProgName" caption="Наименование программы" />
        <field name="ActionName" caption="Наименование мероприятия программы" />
        <field name="Result" caption="Ожидаемый результат" />
        <field name="Rationale" caption="Обоснование соответствия" />
        <field name="Info" caption="Сведения о технической сложности" />
      </fieldssheet>
    </editor>
    <editor id="F02_110_R3_Ref_Npa_Editor" caption="НПА" height="350">
      <fieldssheet title="НПА" id="F02_110_R3_Ref_Npa_Editor_1" table="F02_110_R3_Ref_Npa">
        <field name="NPAType_ID" caption="Вид НПА" />
        <field name="NPAStatuses_ID" filterRule="%Doc%.InterfaceRules.FilterNPAStatuses" />
        <field name="NpaDate" caption="Дата" width="150"/>
        <field name="NpaChangeDate" />
        <field name="NpaNumber" caption="Номер" />
        <field name="NpaName" caption="Наименование НПА" />
      </fieldssheet>
    </editor>
    <editor id="F02_110_R2_2_Ref_Org_Editor" caption="Учреждение">
      <fieldssheet name="F02_110_R2_2_Ref_Org_Editor_1" table="F02_110_R2_2_Org">
        <field name="OKSM_ID" caption="Страна" />
        <field name="Organization_ID" caption="Учрежденеие" isShowAddEditButton="true" />
      </fieldssheet>
    </editor>
    <editor id="F02_110_R2_2_Ref_Object_Editor" caption="Объект закупки">
      <fieldssheet name="F02_110_R2_2_Ref_Object_Editor_1" table="F02_110_R2_2_Ref_Object">
        <field name="PurchaseObjects_ID" caption="Наименование объекта закупки" isShowAddEditButton="true" />
      </fieldssheet>
    </editor>
    <editor id="F02_110_R2_2_Ref_OKPD_Editor" caption="Добавление элемента ОКПД" height="160">
      <fieldssheet name="F02_110_R2_2_Ref_OKPD_Editor_1" table="F02_110_R2_2_Ref_Okpd">
        <group caption=" Товары, работы и услуги по ОКПД ">
          <field name="OKPD_Code" width="90" caption="Код">
            <buttons/>
          </field>
          <field name="OKPD_ID" caption="Наименование" filterRule="%Doc%.InterfaceRules.FilterOKPD">
            <buttons/>
          </field>
        </group>
      </fieldssheet>
    </editor>
    <editor id="F02_110_R2_2_Ref_Kosgu_Editor" caption="КОСГУ" height="230">
      <fieldssheet name="F02_110_R2_2_Ref_Kosgu_Editor_1" table="F02_110_R2_2_Ref_Kosgu">
        <field name="KOSGU_ID" caption="Код по КОСГУ:" />
        <field name="AddAnalysisFeature_ID" caption="Дополнительный аналитический признак:" />
        <field name="Year" caption="Год (планируемый год) осуществления закупки" editMask="\d{4}" errorMessage="Год должен составлять 4 знака"/>
      </fieldssheet>
    </editor>
    <editor id="F02_110_R2_2_Ref_ObjectDesc_Editor" caption="Цель осуществления закупки" height="500">
      <fieldssheet title="Цель осуществления закупки" id="F02_110_R2_2_Ref_ObjectDesc_Editor_1" table="F02_110_R2_2_Ref_ObjectDesc">
        <field name="ProgName" caption="Наименование программы" />
        <field name="ActionName" caption="Наименование мероприятия программы" />
        <field name="Result" caption="Ожидаемый результат" />
        <field name="Rationale" caption="Обоснование соответствия" />
        <field name="Info" caption="Сведения о технической сложности" />
      </fieldssheet>
    </editor>
    <editor id="F02_110_R2_2_Ref_Npa_Editor" caption="НПА" height="350">
      <fieldssheet title="НПА" id="F02_110_R2_2_Ref_Npa_Editor_1" table="F02_110_R2_2_Ref_Npa">
        <field name="NPAType_ID" caption="Вид НПА" />
        <field name="NPAStatuses_ID" filterRule="%Doc%.InterfaceRules.FilterNPAStatuses" />
        <field name="NpaDate" caption="Дата" width="150"/>
        <field name="NpaChangeDate" />
        <field name="NpaNumber" caption="Номер" />
        <field name="NpaName" caption="Наименование НПА" />
      </fieldssheet>
    </editor>
    <editor id="ImportedProcurementListEditor" caption="Заполнения из закупок" width="1200" height="600">
      <gridsheet name="ImportedProcurementSprSheet" title="Заполнения из закупок">
        <view table="ImportedProcurement" readonly="false">
          <col width="100" caption="Нужно импортировать" name="IsMarked" align="center" readonly="false" />
          <col width="290" caption="Идентификационный код закупки" name="IKZ" align="center" readonly="true"/>
          <col width="310" caption="Наименование объекта закупки" name="ObjectName" readonly="true"/>
          <col width="100" caption="Код по ОКПД" name="OKPDCode" align="center" readonly="true"/>
          <col width="150" caption="Код по бюджетной классификации" name="FullKBKCode" align="center" readonly="true"/>
          <col width="110" caption="Год размещения извещения" name="PlacementYear" align="center" readonly="true"/>
          <view caption="Сумма">
            <template>
              <col width="120" name="Y{fieldName}" caption="на {caption} год" align="right" displayFormat=",0.00" />
              <rules>
                <rule name="%Doc%.CommonRules.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange" />
                <rule name="%Doc%.CommonRules.GetYearsCaptionEventHandler" event="OnGetCaption" />
              </rules>
            </template>
            <col width="120" name="Y4" caption="Последующие&#xA;годы" align="right" displayFormat=",0.00" />
          </view>
        </view>
      <rules>
        <rule name="ObasHelper.GetFalse" event="OnCanAdd" />
        <rule name="ObasHelper.GetFalse" event="OnCanDelete" />
        <rule name="%Doc%.InterfaceRules.ImportedProcurementSprSheetCanEditEventHandler" event="OnCanEdit" />
      </rules>
      </gridsheet>
    </editor>
  </editors>
  <menu>
    <menu caption="Сервис">
      <menu caption="Выполнить пересчет данных">
        <rules>
          <rule name="%Doc%.InterfaceRules.RecalcDataMenuItemClickEventHandler" event="OnClick" />
        </rules>
      </menu>
    </menu>
    <menu caption="Разработчик">
      <menu caption="Выполнить сдвиг данных">
        <rules>
          <rule name="%Doc%.InterfaceRules.ShiftDataMenuItemClickEventHandler" event="OnClick" />
        </rules>
      </menu>
      <menu caption="Выполнить копирование данных">
        <rules>
          <rule name="%Doc%.InterfaceRules.CopyDataMenuItemClickEventHandler" event="OnClick" />
        </rules>
      </menu>
    </menu>
  </menu>
</document>